| TagLib 1.13 |  |

Public Member Functions | List of all members
TagLib::DebugListener Class Referenceabstract

An abstraction for the listener to the debug messages. More...

`#include <tdebuglistener.h>`

## Public Member Functions
| DebugListener ()
virtual | ~DebugListener ()
virtual void | printMessage (const String &msg)=0

## Detailed Description

An abstraction for the listener to the debug messages.

This class enables you to handle the debug messages in your preferred way by subclassing this class, reimplementing printMessage() and setting your reimplementation as the default with setDebugListener().

See also
  setDebugListener()

## Constructor & Destructor Documentation

## ◆ DebugListener()

TagLib::DebugListener::DebugListener | ( |  | ) |

## ◆ ~DebugListener()

virtual TagLib::DebugListener::~DebugListener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ printMessage()

virtual void TagLib::DebugListener::printMessage | ( | const String & | msg | ) |
| pure virtual

When overridden in a derived class, redirects msg to your preferred channel such as stderr, Windows debugger or so forth.

The documentation for this class was generated from the following file:

- tdebuglistener.h